package gwtop.exemple.client;

import gwtop.exemple.client.base.MyPanelBuilder;
import gwtop.exemple.client.base.menu.MenuBuilder;
import gwtop.fwk.helper.HistoryHelper;
import gwtop.fwk.history.HistoryHandler;
import gwtop.fwk.manager.IPanelsBuilder;
import gwtop.fwk.manager.LoadingMgr;
import gwtop.fwk.manager.LoggerMgr;
import gwtop.fwk.manager.MessagesMgr;
import gwtop.fwk.manager.PanelsMgr;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.user.client.History;
import com.google.gwt.user.client.Window.Location;
import com.google.gwt.user.client.ui.RootPanel;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class Gwtop implements EntryPoint {

    /**
     * Instantiates a new gwtop.
     */
    public Gwtop() {
        super();
    }

    /**
     * This is the entry point method.
     */
    public void onModuleLoad() {
        // Initialisation des managers
        MessagesMgr.init();
        final IPanelsBuilder myBuilder = new MyPanelBuilder();
        PanelsMgr.init("gwtopid", myBuilder);
        LoggerMgr.init("gtp-logger");
        LoadingMgr.init("gtp-loading");

        RootPanel.get("exemple-menu").add(MenuBuilder.buildMenu());
        History.addValueChangeHandler(new HistoryHandler());

        final String hash = Location.getHash();
        final String token = HistoryHelper.getToken(hash);
        if (null == token) {
            LoggerMgr.addWarn("Hello World!!");
        } else {
            PanelsMgr.selectPanelByToken(token);
        }
    }
}
