package gwtop.exemple.client.base.menu;

import gwtop.fwk.manager.PanelsMgr;

import com.google.gwt.user.client.Command;

/**
 * The Class MenuCommand.
 */
public class MenuCommand implements Command {

    /** The id bean. */
    private final String idBean;

    /** The id. */
    private final String idPanel;

    /**
     * Instantiates a new menu command.
     * @param panelId
     *            the panel id
     */
    public MenuCommand(final String panelId) {
        this.idPanel = panelId;
        this.idBean = null;
    }

    /**
     * Instantiates a new menu command.
     * @param panelId
     *            the panel id
     * @param beanId
     *            the bean id
     */
    public MenuCommand(final String panelId, final String beanId) {
        this.idPanel = panelId;
        this.idBean = beanId;
    }

    /**
     * {@inheritDoc}
     */
    public void execute() {
        if (null == this.idBean) {
            PanelsMgr.selectDirect(this.idPanel);
        } else {
            PanelsMgr.selectPanel(this.idPanel, this.idBean, null, true);
        }
    }
}
