package gwtop.exemple.client.base.ui.panel;

import gwtop.fwk.BasicCss;

import com.google.gwt.user.client.ui.HTML;

/**
 * The Class TitlePanel.
 */
public class H2Panel extends HTML {

    /** The BEGIN. */
    static final String BEGIN = "<h2>";

    /** The END. */
    static final String END = "</h2>";

    /** The text. */
    private String textTitle;

    /**
     * Instantiates a new title panel.
     */
    public H2Panel() {
        super("<h2></h2>");
    }

    /**
     * Instantiates a new title panel.
     * @param pText
     *            the text
     */
    public H2Panel(final String pText) {
        super(BEGIN + pText + END);
        this.textTitle = pText;
        this.addStyleName(BasicCss.PAGE_TITLE);
    }

    /**
     * Gets the text.
     * @return the text
     */
    public String getTextTitle() {
        return this.textTitle;
    }

    /**
     * Sets the html h2 text title.
     * @param textTitle
     *            the new text
     */
    public void setTextTitle(final String textTitle) {
        this.textTitle = textTitle;
        this.setHTML(BEGIN + textTitle + END);
    }

}
