package gwtop.exemple.client.base.ui.panel;

import gwtop.exemple.client.base.ExempleCss;

import com.google.gwt.user.client.ui.FlowPanel;

/**
 * The Class ScreenPanel.
 */
public class ScreenPanel extends FlowPanel {

    /** The h3. */
    private final H2Panel h2;

    /**
     * Instantiates a new screen panel.
     * @param pTitlePanel
     *            the title panel
     */
    public ScreenPanel(final H2Panel pTitlePanel) {
        super();
        this.addStyleName(ExempleCss.SCREEN_PANEL);
        this.h2 = pTitlePanel;
        this.add(this.h2);
    }

    /**
     * Instantiates a new screen panel.
     * @param screenTitle
     *            the screen title
     */
    public ScreenPanel(final String screenTitle) {
        super();
        this.addStyleName(ExempleCss.SCREEN_PANEL);
        this.h2 = new H2Panel(screenTitle);
        this.add(this.h2);
    }

    /**
     * Sets the screen title.
     * @param text
     *            the new screen title
     */
    public void setScreenTitle(final String text) {
        this.h2.setHTML("<h2>" + text + "</h2>");
    }
}
