package gwtop.exemple.client.person;

import gwtop.exemple.shared.bo.person.Person;
import gwtop.exemple.shared.dto.person.PersonCriteria;

import java.util.List;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

/**
 * The Interface IPersonRpc.
 */
@RemoteServiceRelativePath("person.rpc")
public interface IPersonRpc extends RemoteService {

    /**
     * Find.
     * @param criteria
     *            the criteria
     * @return the list
     */
    List<Person> find(PersonCriteria criteria);

    /**
     * Persist.
     * @param bean
     *            the bean
     * @return the person
     */
    Person persist(Person bean);

    /**
     * Read.
     * @param id
     *            the id
     * @return the person
     */
    Person read(Long id);
}
