package gwtop.exemple.client.person.commons.async;

import gwtop.exemple.client.person.commons.screen.IPersonScreen;
import gwtop.exemple.shared.bo.person.Person;
import gwtop.fwk.mvpe.event.async.BasicAjaxAsyncCallback;

import com.google.gwt.user.client.ui.Panel;

/**
 * The Class PersonReadAsyncCallBack.
 */
public class PersonReadAsyncCallBack extends BasicAjaxAsyncCallback<Person> {

    /** The screen. */
    private final IPersonScreen screen;

    /**
     * Instantiates a new person read async call back.
     * @param pScreen
     *            the screen
     */
    public PersonReadAsyncCallBack(final IPersonScreen pScreen) {
        super();
        this.screen = pScreen;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void onSuccess(final Person pBean) {
        super.onSuccess(pBean);
        this.screen.setBean(pBean);
        final Panel screenPanel = this.screen.createPanel();
        this.screen.getPresenter().receive(pBean);
        this.screen.add(screenPanel);
    }
}
