package gwtop.exemple.client.person.commons.command;

import gwtop.exemple.client.base.manager.IMyRpcs;
import gwtop.exemple.client.person.commons.async.PersonReadAsyncCallBack;
import gwtop.exemple.client.person.commons.screen.IPersonScreen;
import gwtop.exemple.shared.bo.person.Person;
import gwtop.fwk.manager.MessagesMgr;
import gwtop.fwk.mvpe.event.command.AbstractSimpleCommand;

import com.google.gwt.user.client.rpc.AsyncCallback;

/**
 * The Class PersonReadCommand.
 */
public class PersonReadCommand extends AbstractSimpleCommand {

    /** The screen. */
    private final IPersonScreen screen;

    /**
     * Instantiates a new person read command.
     * @param pScreen
     *            the screen
     */
    public PersonReadCommand(final IPersonScreen pScreen) {
        super();
        this.screen = pScreen;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected void callRpc(final String... args) {
        if (null == args[0]) {
            MessagesMgr.getConstants().pbTech();
        }
        final long beanId = Long.valueOf(args[0]);
        final AsyncCallback<Person> async = new PersonReadAsyncCallBack(this.screen);
        IMyRpcs.person.read(beanId, async);
    }

}
