package gwtop.exemple.client.person.commons.presenter;

import gwtop.exemple.shared.bo.person.Person;
import gwtop.fwk.mvpe.presenter.IPresenter;
import gwtop.fwk.mvpe.presenter.IPresenterIn;
import gwtop.fwk.ui.GenericElement;

import java.util.Date;

/**
 * The Interface IPersonPresenter.
 */
public interface IPersonPresenter extends IPresenterIn<Person>, IPresenter {

	/**
	 * Gets the birth.
	 * 
	 * @return the birth
	 */
	GenericElement<Date> getBirth();

	/**
	 * Gets the childrens.
	 * 
	 * @return the childrens
	 */
	GenericElement<Integer> getChildrens();

	/**
	 * Gets the happy.
	 * 
	 * @return the happy
	 */
	GenericElement<Boolean> getHappy();

	/**
	 * Gets the name.
	 * 
	 * @return the name
	 */
	GenericElement<String> getName();

	/**
	 * Gets the pays.
	 * 
	 * @return the pays
	 */
	GenericElement<Float> getPays();
}
