package gwtop.exemple.client.person.commons.view;

import gwtop.exemple.client.base.ui.panel.ContentElementPanel;
import gwtop.exemple.client.person.commons.presenter.IPersonPresenter;
import gwtop.fwk.mvpe.view.IView;

import com.google.gwt.user.client.ui.Panel;

/**
 * The Class PersonView.
 */
public class PersonView implements IView {

    /** The presenter. */
    private final IPersonPresenter presenter;

    /**
     * Instantiates a new person view.
     * @param myPresenter
     *            the my presenter
     */
    public PersonView(final IPersonPresenter myPresenter) {
        this.presenter = myPresenter;
    }

    /**
     * {@inheritDoc}
     */
    public Panel createPanel() {
        final Panel panel = new ContentElementPanel();

        panel.add(this.presenter.getName());
        panel.add(this.presenter.getBirth());
        panel.add(this.presenter.getChildrens());
        panel.add(this.presenter.getHappy());
        panel.add(this.presenter.getPays());

        return panel;
    }

}
