package gwtop.exemple.client.person.find;

import gwtop.exemple.client.base.manager.IMyRpcs;
import gwtop.exemple.shared.bo.person.Person;
import gwtop.exemple.shared.dto.person.PersonCriteria;
import gwtop.fwk.mvpe.event.command.AbstractFindCommand;

import java.util.List;

import com.google.gwt.user.client.rpc.AsyncCallback;

/**
 * The Class PersonFindCommand.
 */
public class PersonFindCommand extends AbstractFindCommand<List<Person>, PersonCriteria> {

    /**
     * Instantiates a new person find command.
     * @param pScreen
     *            the screen
     */
    public PersonFindCommand(final IPersonFindScreen pScreen) {
        super(pScreen);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected void callRpc() {
        super.callRpc();
        final AsyncCallback<List<Person>> callback = new PersonFindAsyncCallback(this.getScreen());
        IMyRpcs.person.find(this.getScreen().getCriteria(), callback);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public IPersonFindScreen getScreen() {
        return (IPersonFindScreen) super.getScreen();
    }
}
