package gwtop.exemple.client.person.find;

import gwtop.exemple.client.base.manager.IMsgs;
import gwtop.exemple.client.base.ui.panel.ContentPanel;
import gwtop.exemple.client.base.ui.panel.ScreenPanel;
import gwtop.exemple.shared.bo.person.Person;
import gwtop.exemple.shared.dto.person.PersonCriteria;
import gwtop.fwk.mvpe.screen.AScreenFind;

import java.util.List;

import com.google.gwt.user.client.Command;
import com.google.gwt.user.client.ui.Panel;

/**
 * The Class PersonFindScreen.
 */
public class PersonFindScreen extends AScreenFind<List<Person>, PersonCriteria>
        implements IPersonFindScreen {

    /** The cmd. */
    private final Command cmd;

    /** The presenter. */
    private final IPersonFindPresenter presenter;

    /**
     * Instantiates a new person find screen.
     */
    public PersonFindScreen() {
        super();
        // Initialize Criteria here
        setCriteria(new PersonCriteria());
        cmd = new PersonFindCommand(this);
        presenter = new PersonFindPresenter(cmd);
        final Panel screenPanel = createPanel();
        add(screenPanel);
    }

    /**
     * Creates the panel.
     * @return the panel
     */
    private Panel createPanel() {
        final Panel screenPanel = new ScreenPanel(IMsgs.person.findPerson());
        final Panel searchPanel = new ContentPanel();
        final Panel resultPanel = new ContentPanel();


        searchPanel.add(presenter.getName());
        searchPanel.add(presenter.getSearch());
        resultPanel.add(presenter.getResult());

        screenPanel.add(searchPanel);
        screenPanel.add(resultPanel);
        return screenPanel;
    }

    /**
     * {@inheritDoc}
     */
    public Command getFindCmd() {
        return cmd;
    }

    /**
     * {@inheritDoc}
     */
    public IPersonFindPresenter getPresenter() {
        return presenter;
    }
}
