package gwtop.exemple.client.person.persist;

import gwtop.exemple.client.person.commons.presenter.IPersonPresenter;
import gwtop.exemple.client.person.commons.screen.APersonScreen;

import com.google.gwt.user.client.Command;
import com.google.gwt.user.client.ui.Button;

/**
 * The Class APersonPersistScreen.
 */
public class APersonPersistScreen extends APersonScreen implements IPersonPersistScreen {
    /** The is update mode. */
    private boolean updateMode = false;

    /**
     * Instantiates a new a person persist screen.
     * @param pPresenter
     *            the presenter
     * @param title
     *            the title
     */
    public APersonPersistScreen(final IPersonPresenter pPresenter, final String title) {
        super(pPresenter, title);
        final Button ok = this.getPresenter().getPersist();
        final Command cmd = new PersonPersistCommand(this, ok);
        this.getPresenter().init(cmd);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public IPersonPersistPresenter getPresenter() {
        return (IPersonPersistPresenter) super.getPresenter();
    }

    /**
     * Checks if is update mode.
     * @return true, if is update mode
     */
    public boolean isUpdateMode() {
        return this.updateMode;
    }

    /**
     * Select update mode.
     */
    public void selectUpdateMode() {
        this.updateMode = true;
    }

    /**
     * Sets the update mode.
     * @param up
     *            the new update mode
     */
    public void setUpdateMode(final boolean up) {
        this.updateMode = up;
    }
}
