package gwtop.exemple.client.person.persist;

import gwtop.exemple.client.base.manager.IMyRpcs;
import gwtop.exemple.client.person.IPersonRpcAsync;
import gwtop.exemple.shared.bo.person.Person;
import gwtop.fwk.mvpe.event.async.PersistButtonAsyncCallback;
import gwtop.fwk.mvpe.event.command.AbstractPersistCommand;
import gwtop.fwk.mvpe.screen.IScreenPersist;

import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.ui.Button;

/**
 * The Class PersonPersistCommand.
 */
public class PersonPersistCommand extends AbstractPersistCommand<Person, IPersonRpcAsync> {

    /**
     * Instantiates a new person persist command.
     * @param pScreen
     *            the screen
     * @param pButton
     *            the button
     */
    public PersonPersistCommand(final IPersonPersistScreen pScreen, final Button pButton) {
        super(pScreen, pButton);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected void callRpc() {
        super.callRpc();
        final IScreenPersist<Person> screen = this.getPersistScreen();
        final AsyncCallback<Person> callback = new PersistButtonAsyncCallback<Person>(screen);
        IMyRpcs.person.persist(screen.getBean(), callback);
    }
}
