package gwtop.exemple.client.person.read;

import gwtop.exemple.client.base.manager.IMsgs;
import gwtop.exemple.shared.bo.person.Person;
import gwtop.exemple.shared.id.person.PersonId;
import gwtop.fwk.mvpe.presenter.APresenterRead;
import gwtop.fwk.ui.output.OutputBooleanBox;
import gwtop.fwk.ui.output.OutputDateBox;
import gwtop.fwk.ui.output.OutputFloatBox;
import gwtop.fwk.ui.output.OutputIntegerBox;
import gwtop.fwk.ui.output.OutputTextBox;

/**
 * The Class PersonReadPresenter.
 */
public class PersonReadPresenter extends APresenterRead<Person> implements IPersonReadPresenter {

    /** The birth. */
    private final OutputDateBox birth;

    /** The childrens. */
    private final OutputIntegerBox childrens;

    /** The happy. */
    private final OutputBooleanBox happy;

    /** The name. */
    private final OutputTextBox name;

    /** The pays. */
    private final OutputFloatBox pays;

    /**
     * Instantiates a new person read presenter.
     */
    public PersonReadPresenter() {
        super();
        this.birth = new OutputDateBox(PersonId.birth, IMsgs.person.birth());
        this.childrens = new OutputIntegerBox(PersonId.childrens, IMsgs.person.childrens());
        this.happy = new OutputBooleanBox(PersonId.happy, IMsgs.person.happy());
        this.name = new OutputTextBox(PersonId.name, IMsgs.person.name());
        this.pays = new OutputFloatBox(PersonId.pays, IMsgs.person.pays());
    }

    /**
     * {@inheritDoc}
     */
    public OutputDateBox getBirth() {
        return this.birth;
    }

    /**
     * {@inheritDoc}
     */
    public OutputIntegerBox getChildrens() {
        return this.childrens;
    }

    /**
     * {@inheritDoc}
     */
    public OutputBooleanBox getHappy() {
        return this.happy;
    }

    /**
     * {@inheritDoc}
     */
    public OutputTextBox getName() {
        return this.name;
    }

    /**
     * {@inheritDoc}
     */
    public OutputFloatBox getPays() {
        return this.pays;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void receive(final Person bean) {
        this.birth.setValue(bean.getBirth());
        this.childrens.setValue(bean.getChildrens());
        this.happy.setValue(bean.getHappy());
        this.name.setValue(bean.getName());
        this.pays.setValue(bean.getPays());
    }
}
