package gwtop.exemple.shared.bo.person;

import gwtop.exemple.shared.factory.person.IPersonFactory;

import java.util.Date;

/**
 * A factory for creating Person objects.
 */
public class PersonFactory implements IPersonFactory {

    /**
     * Instantiates a new person factory.
     */
    public PersonFactory() {
        super();
    }

    /**
     * {@inheritDoc}
     */
    public Person instance() {
        return new Person();
    }

    /**
     * {@inheritDoc}
     */
    public Person instance(final String name, final Date birth, final int childs,
            final boolean happy, final float pays) {
        final Person person = this.instance();
        person.setName(name);
        person.setBirth(birth);
        person.setChildrens(childs);
        person.setHappy(happy);
        person.setPays(pays);
        return person;
    }

}
